[
    {
        "Id": "8f5b57c8bcd4a88b5333087f520ba6de0d189f410869bd4ef50279934f216e19",
        "Created": "2025-08-15T06:05:28.677725868Z",
        "Path": "/entrypoint.sh",
        "Args": [
            "apache2-foreground"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 3941788,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-15T06:05:28.757291158Z",
            "FinishedAt": "0001-01-01T00:00:00Z"
        },
        "Image": "sha256:b5fcb9799d0d94aec158a03ae7a4e824dfcaf36788cef080e99b59e3a5e13e8a",
        "ResolvConfPath": "/var/lib/docker/containers/8f5b57c8bcd4a88b5333087f520ba6de0d189f410869bd4ef50279934f216e19/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/8f5b57c8bcd4a88b5333087f520ba6de0d189f410869bd4ef50279934f216e19/hostname",
        "HostsPath": "/var/lib/docker/containers/8f5b57c8bcd4a88b5333087f520ba6de0d189f410869bd4ef50279934f216e19/hosts",
        "LogPath": "/var/lib/docker/containers/8f5b57c8bcd4a88b5333087f520ba6de0d189f410869bd4ef50279934f216e19/8f5b57c8bcd4a88b5333087f520ba6de0d189f410869bd4ef50279934f216e19-json.log",
        "Name": "/nextcloud",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/srv/mergerfs/DataPool/nextcloud/data:/var/www/html:rw",
                "/srv/mergerfs/DataPool/nextcloud/config:/var/www/html/config:rw",
                "/srv/mergerfs/DataPool/nextcloud/custom_apps:/var/www/html/custom_apps:rw",
                "/srv/mergerfs/DataPool/nextcloud/themes:/var/www/html/themes:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "nextcloud_nextcloud-internal",
            "PortBindings": {
                "80/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "8080"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "8f5b57c8bcd4a88b5333087f520ba6de0d189f410869bd4ef50279934f216e19",
                "LowerDir": "/var/lib/docker/overlay2/f6a60dc142809ee07f85da9fe90a6383199cda6b7536986eb4888dbf9849b98f-init/diff:/var/lib/docker/overlay2/2dc547de3be47c95cf321e66b353b232d351d8148f96b8c3cf16be8ca604f60b/diff:/var/lib/docker/overlay2/3b0838879473defa17d64dbd5ff46714696d7e0cefde6d3cd9c0e45266bffd73/diff:/var/lib/docker/overlay2/e49c98bf1847744e111b68cd256d6a7375e22d206f7d923cb59320c6d3a9eec2/diff:/var/lib/docker/overlay2/9e86ed80526fde9b8040158e37fc0048e071e1e1ee5c4f2c8245bc838930c2c1/diff:/var/lib/docker/overlay2/fa64d73680a7919c8d7dd59fdb4be803a5f6694eb285780f477a49f2aa60e9c6/diff:/var/lib/docker/overlay2/4937b64acf5bce7c0a2fb78bbb53b5bc7eefd7c414aeb9db228952256f648c5f/diff:/var/lib/docker/overlay2/68a84bed1d4a0f59d8a80f5091bc66fd72f4d281b1706a5773ae243565276e48/diff:/var/lib/docker/overlay2/b72641f9373a7b0114e0d8e7ccbe5ffc7b38f444e430b0bf9aec5f329948dc6a/diff:/var/lib/docker/overlay2/8c969e6f418fedd8f24e16883bfc4b6093b0e3e62a382f627757a971a117dda9/diff:/var/lib/docker/overlay2/609ee2696e253ef9015bdd12f05d8f0028b58bc5b7a0b893e77420f1eac0214d/diff:/var/lib/docker/overlay2/1bf6132c240698515ab68779d8743afbff48a5a21c09b27fcd35396924280714/diff:/var/lib/docker/overlay2/a2107197693e17ce8aff6c1e7bc95992101ee9c6e4209edb6dc082bf97285363/diff:/var/lib/docker/overlay2/820b18b02df8466d5033ff42d75e8b206f6925cf215470d0195dd86b03662792/diff:/var/lib/docker/overlay2/986b8c0cf5c967fb95bbc852d7fabe6343a286f1f3dd1b3e5f86f4e7317335f5/diff:/var/lib/docker/overlay2/25a055a2c54b0c577ab3f843ffdeb0dcedc3b641053c064602a6a0b1aae48a37/diff:/var/lib/docker/overlay2/912d2d0ef8b7fee6caba04e5922159f2366a74c912662ed24fe636f5b64cbe7e/diff:/var/lib/docker/overlay2/3b76e2e3b3a6b8e60869046c05abaf3bc72993cfb4b4f1b94a1c56ae9aa62ec9/diff:/var/lib/docker/overlay2/34645c4e32a9b9a2f111ade4f3e2f699db7b3618d60c79292098c4a742e18952/diff:/var/lib/docker/overlay2/b75d45d2e53a7e2000c2595247b57bde85cd1b071f0011360c8134851a4e7932/diff:/var/lib/docker/overlay2/700961e35fcd813ab27bbe4f4b00002983c81013f93a414cabe56a2a463b7096/diff:/var/lib/docker/overlay2/98744b62d00587ad6b7882a8f510da5e56b1ff726a7496b1675d9ef72c3352e8/diff:/var/lib/docker/overlay2/859614ad8fdcb97d9fcd429547ae1d47f0efcdf4256f853ae4865a3f6a6e5bf8/diff:/var/lib/docker/overlay2/c25fcc09f8f2bb0ea035bd1ed8d71275d70337a6f8b12268a998bef03039ad1b/diff",
                "MergedDir": "/var/lib/docker/overlay2/f6a60dc142809ee07f85da9fe90a6383199cda6b7536986eb4888dbf9849b98f/merged",
                "UpperDir": "/var/lib/docker/overlay2/f6a60dc142809ee07f85da9fe90a6383199cda6b7536986eb4888dbf9849b98f/diff",
                "WorkDir": "/var/lib/docker/overlay2/f6a60dc142809ee07f85da9fe90a6383199cda6b7536986eb4888dbf9849b98f/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/srv/mergerfs/DataPool/nextcloud/data",
                "Destination": "/var/www/html",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/srv/mergerfs/DataPool/nextcloud/config",
                "Destination": "/var/www/html/config",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/srv/mergerfs/DataPool/nextcloud/custom_apps",
                "Destination": "/var/www/html/custom_apps",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/srv/mergerfs/DataPool/nextcloud/themes",
                "Destination": "/var/www/html/themes",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "c9852cfc0719",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "80/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "REDIS_HOST=nextcloud-redis",
                "NEXTCLOUD_TRUSTED_DOMAINS=localhost,nextcloud.local,192.168.50.66,100.98.144.95,",
                "MYSQL_PASSWORD=YourStrongDatabasePasswordHere",
                "MYSQL_DATABASE=nextcloud1",
                "MYSQL_USER=nextcloud",
                "MYSQL_HOST=nextcloud-db",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "PHPIZE_DEPS=autoconf \t\tdpkg-dev \t\tfile \t\tg++ \t\tgcc \t\tlibc-dev \t\tmake \t\tpkg-config \t\tre2c",
                "PHP_INI_DIR=/usr/local/etc/php",
                "APACHE_CONFDIR=/etc/apache2",
                "APACHE_ENVVARS=/etc/apache2/envvars",
                "PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64",
                "PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64",
                "PHP_LDFLAGS=-Wl,-O1 -pie",
                "GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA",
                "PHP_VERSION=8.3.24",
                "PHP_URL=https://www.php.net/distributions/php-8.3.24.tar.xz",
                "PHP_ASC_URL=https://www.php.net/distributions/php-8.3.24.tar.xz.asc",
                "PHP_SHA256=388ee5fd111097e97bae439bff46aec4ea27f816d3f0c2cb5490a41410d44251",
                "PHP_MEMORY_LIMIT=512M",
                "PHP_UPLOAD_LIMIT=512M",
                "PHP_OPCACHE_MEMORY_CONSUMPTION=128",
                "APACHE_BODY_LIMIT=1073741824",
                "NEXTCLOUD_VERSION=31.0.8"
            ],
            "Cmd": [
                "apache2-foreground"
            ],
            "Image": "nextcloud:latest",
            "Volumes": {
                "/var/www/html": {}
            },
            "WorkingDir": "/var/www/html",
            "Entrypoint": [
                "/entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "08854b2ca5c14dcb890117b09ab58ed253b0f3a52b5996d05f9d800857151b79",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "nextcloud-redis:service_started:false,nextcloud-db:service_started:false",
                "com.docker.compose.image": "sha256:f2c2eb46b9ecd6689c81197c4f4f60249856db018c52d68680b33862fa1cc43f",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "nextcloud",
                "com.docker.compose.project.config_files": "/srv/mergerfs/presscloud/docker/nextcloud/nextcloud.yml,/srv/mergerfs/presscloud/docker/nextcloud/compose.override.yml",
                "com.docker.compose.project.environment_file": "/srv/mergerfs/presscloud/docker/global.env,/srv/mergerfs/presscloud/docker/nextcloud/nextcloud.env",
                "com.docker.compose.project.working_dir": "/srv/mergerfs/presscloud/docker/nextcloud",
                "com.docker.compose.service": "nextcloud",
                "com.docker.compose.version": "2.35.1"
            },
            "StopSignal": "SIGWINCH"
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "23adfe662ff8288ea0506ba68c74ef976de101f6e8ab63e627286dee0a3c055a",
            "SandboxKey": "/var/run/docker/netns/23adfe662ff8",
            "Ports": {
                "80/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "8080"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "8080"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "nextcloud_nextcloud-internal": {
                    "IPAMConfig": {},
                    "Links": null,
                    "Aliases": [
                        "c9852cfc0719"
                    ],
                    "MacAddress": "8a:b9:a4:83:0c:7d",
                    "DriverOpts": {},
                    "GwPriority": 0,
                    "NetworkID": "ebe1b3036446770dcd767ab73157e5a076f03c2b8b9d96d78ccd2b9a7c078ca6",
                    "EndpointID": "866e01a65a9f22e4a5dab1c0df0fac031cf1fa2de3a5fdf8689a936f63590c18",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.3",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "nextcloud",
                        "c9852cfc0719",
                        "8f5b57c8bcd4"
                    ]
                }
            }
        }
    }
]
